import { Request } from 'express';
import { Ability, AccessToken, AuthDirective } from './auth-type';
export declare function auth(req: Request, authDirective: AuthDirective): Promise<AccessToken>;
export declare function isAuthenticated(accessToken: AccessToken): boolean;
export declare function hasAbility(accessToken: AccessToken, spec: Ability): void;
