import jwt, { Algorithm } from 'jsonwebtoken';
export { jwt };
export declare enum Expires {
    expires5MinuteInSecond,
    expires2DaysInSecond,
    expires1MonthInSecond,
    expires1YearInSecond
}
export declare class JWT {
    private _salt;
    constructor(salt: string);
    private validate;
    encode(payload: any, algorithm: Algorithm, expiresIn: Expires): any;
    decode(token: string): any;
}
